#
# spec file for package python-markdown-it-py
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-markdown-it-py
Version:        2.2.0
Release:        2.3
Summary:        Python port of markdown-it Markdown parsing
License:        MIT
URL:            https://github.com/executablebooks/markdown-it-py/
Source:         https://github.com/executablebooks/markdown-it-py/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Source:         https://files.pythonhosted.org/packages/source/m/markdown-it-py/markdown-it-py-%%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module flit}
BuildRequires:  %{python_module mdurl}
BuildRequires:  %{python_module pip}
# SECTION tests
BuildRequires:  %{python_module linkify-it-py}
BuildRequires:  %{python_module pytest-regressions}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-mdurl
Requires(post): update-alternatives
Requires(postun):update-alternatives
Suggests:       python-mdit-py-plugins
BuildArch:      noarch
%python_subpackages

%description
This is a Python port of [markdown-it], and some of its associated plugins.

It follows the CommonMark spec for baseline parsing, has a configurable syntax and is pluggable.

%prep
%setup -q -n markdown-it-py-%{version}
sed -i '1{/\/usr\/bin\/env python*/d;}' markdown_it/cli/parse.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/markdown-it
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests

%post
%python_install_alternative markdown-it

%postun
%python_uninstall_alternative markdown-it

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE LICENSE.markdown-it
%{python_sitelib}/markdown_it
%{python_sitelib}/markdown_it_py-%{version}.dist-info
%python_alternative %{_bindir}/markdown-it

%changelog
* Fri May  5 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Mon Mar  6 2023 Sebastian Wagner <sebix@sebix.at>
- update to version 2.2.0:
  - What's Changed:
  - UPGRADE: Allow linkify-it-py v2
  - FIX: CVE-2023-26303, fix boo#1208974
  - FIX: CLI crash on non-utf8 character
  - DOCS: Add section about markdown renderer
  - Update benchmark pkg versions
* Mon Sep  5 2022 Elisei Roca <eroca@mailbox.org>
- Cleanup requirements, tests, files section and comments
* Tue Apr 26 2022 Sebastian Wagner <sebix+novell.com@sebix.at>
- initial package for version 2.1.0.
